<template>
    <div class="grid-container">
        <v-card class="mx-auto" max-width="400" v-for="item in items">
            <img :src="item.coverimage" style="width: 100%;">
            <v-card-subtitle class="pt-4">
                <h4><b>id : {{ item.id }}</b></h4>
            </v-card-subtitle>

            <v-card-text>
                <div class="car-container">
                    <h4><b>{{ item.name }}</b></h4>
                    <p>
                        {{ item.detail }}
                    </p>
                </div>
            </v-card-text>

            <v-card-actions>
                <v-btn class="btn1" color="orange">
                    Explore
                </v-btn>
                <v-spacer></v-spacer>
                <v-btn class="btn2" color="blue">
                    button
                </v-btn>
            </v-card-actions>
        </v-card>
    </div>
</template>

<script setup>
import { ref } from 'vue';
const items = ref([])

fetch('https://www.melivecode.com/api/attractions')
    .then(res => res.json())
    .then((result) => {
        items.value = result
        console.log(result)
    })
</script>

<style scoped> 
body{
    background-image: url("https://a-static.besthdwallpaper.com/white-forest-wallpaper-3840x2160-10087_54.jpg");
  margin: auto;
  padding: 40px;
  background-repeat: no-repeat;
  background-size: cover;
}
img{
    margin-top: 15px;
    
}
.mx-auto {
     margin-top: 10%;
     
 }

 .grid-container {
     display: grid;
     grid-column-gap: 0.5rem;
     grid-row-gap: 0.5;
 }

 @media (min-width: 576px) {
     .grid-container {
         grid-template-columns: repeat(1, 1fr);
     }
 }

 @media (min-width: 992px) {
     .grid-container {
         grid-template-columns: repeat(3, 1fr);
     }
 }

 .card {
     box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
     transition: 0.3s;

 }

 .card:hover {
     box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
 }

 .car-container {
     padding: 2px 16px;
 }</style>